#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	A library providing ability to interpret and import Visio diagrams
Summary(pl.UTF-8):	Biblioteka umożliwiająca interpretowanie i importowanie diagramów Visio
Name:		libvisio
Version:	0.0.19
Release:	1
License:	GPL v2+ or LGPL v2+ or MPL v1.1
Group:		Libraries
Source0:	http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.xz
# Source0-md5:	a3c4e5f4c56442cea766a37b437416fc
URL:		http://www.freedesktop.org/wiki/Software/libvisio
BuildRequires:	boost-devel >= 1.36
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libwpd-devel >= 0.9
BuildRequires:	libwpg-devel >= 0.2
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libvisio is library providing ability to interpret and import Visio
diagrams into various applications. You can find it being used in
libreoffice.

%description -l pl.UTF-8
Libvisio to biblioteka umożliwiająca interpretowanie i importowanie
diagramów Visio do wielu aplikacji. Jest wykorzystywana przez
libreoffice.

%package devel
Summary:	Development files for %{name}
Summary(pl.UTF-8):	Pliki nagłówkowe dla %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	libwpd-devel >= 0.9
Requires:	libwpg-devel >= 0.2

%description devel
This package contains the header files for developing applications
that use %{name}.

%description devel -l pl.UTF-8
Pen pakiet zawiera pliki nagłówkowe do tworzenia aplikacji opartych na
%{name}.

%package static
Summary:	Static libvisio library
Summary(pl.UTF-8):	Statyczna biblioteka libvisio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libvisio library.

%description static -l pl.UTF-8
Statyczna biblioteka libvisio.

%package apidocs
Summary:	%{name} API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki %{name}
Group:		Documentation

%description apidocs
API and internal documentation for %{name} library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki %{name}.

%package tools
Summary:	Tools to transform Visio diagrams into other formats
Summary(pl.UTF-8):	Programy przekształcania diagramów Visio do innych formatów
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform Visio diagrams into other formats. Currently
supported: XHTML, raw.

%description tools -l pl.UTF-8
Narzędzia do przekształcania diagramów Visio do innych formatów.
Aktualnie obsługiwane są XHTML i raw.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--disable-werror

%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libvisio-0.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvisio-0.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvisio-0.0.so
%{_includedir}/libvisio-0.0
%{_pkgconfigdir}/libvisio-0.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libvisio-0.0.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vsd2raw
%attr(755,root,root) %{_bindir}/vsd2text
%attr(755,root,root) %{_bindir}/vsd2xhtml
%changelog
* Fri Aug 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4ff1d74
- updated to 0.0.19

* Sat Jun 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 48d5539
- updated to 0.0.18

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> a94f20e
- updated to 0.0.17

* Mon Apr 16 2012 Jakub Bogusz <qboosh@pld-linux.org> fdc954e
- updated to 0.0.16

* Wed Mar 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 5980bb8
- fixed build without static_libs

* Tue Mar 13 2012 Jakub Bogusz <qboosh@pld-linux.org> fcbf5e8
- updated to 0.0.15
- pl fixes, -devel deps, added -static

* Tue Feb 21 2012 blekot <blekot@pld-linux.org> 25747ed
- more PL
- spaces -> tabs

* Tue Feb 21 2012 blekot <blekot@pld-linux.org> 6e31dce
- pl
- visio -> Visio

* Sat Feb 11 2012 Elan Ruusamäe <glen@pld-linux.org> 857ba49
- -devel does not require pkgconfig
- apidocs to -apidocs
- ghost soname symlinks
- no packaging of common licenses

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b4f5b4
- initial/half raw

